Summary

Microsoft is deprecating LiveID authentication and the Skype for Business Online connection point for the Skype for Business Online, Windows PowerShell Module. This update supports replacing the Skype for Business Online, Windows PowerShell Module with the MicrosoftTeams module for continued support for hybrid environment administration and management of users.

Prerequisites

This update has the following prerequisites to replace the Skype for Business Online, Windows PowerShell Module with the MicrosoftTeams module.

.NET Framework 4.7.2 or a later version (.NET 4.8 is supported)

PowerShell 5.1

  • To determine the version of  PowerShell that's installed, open a PowerShell window, and run the following command:

    • $PSVersionTable.PSVersion

    Verify that the major and minor values are at least 5 and 1, respectively.

  • If the installed version does not meet the minimum version requirement, install the appropriate package.

The PowerShellGet module must be running an updated version that supports the -AllowPrerelease parameter. To update the PowerShellGet module, run the following command:

  • Install-Module -Name PowerShellGet -Repository PSGallery -Force

Note The computer on which the PowerShellGet module is being updated must be able to access and download from PSGallery.

Install the update

To get this update, install the August 2021 update for Skype for Business Server 2015.

A message that resembles the following screenshot should be displayed while the updates are being installed.

Screenshot of message during update of PowerShellGet.
 
Verify that the Skype for Business Online Connector module is uninstalled. Depending on the environment, the module might not be uninstalled during this process.

Open the Programs and Features item in Control Panel, and verify that Skype for Business Online, Windows PowerShell Module is not listed.  If it is listed, select the module, and then select Uninstall.

Install the MicrosoftTeams module

The MicrosoftTeams module version 2.3.2 or a later version is required at the time of this update release. Run the following command to install the MicrosoftTeams 2.3.2 module (currently in pre-release):

  • Install-Module -Name MicrosoftTeams -RequiredVersion 2.3.2-preview -AllowPrerelease

Notes

  • Downloading the MicrosoftTeams module requires that the PowerShellGet module be updated per the "Prerequisites" section.

  • Downloading the MicrosoftTeams module requires that the OS be able to download the module directly from the internet.

  • You might receive the following error message: 

    A command with the name 'Disable-CsMeetingRoom' is already available on this system. This module 'MicrosoftTeams' may override the existing commands. If you still want to install this module 'MicrosoftTeams', please use -AllowClobber parameter”

    In this situation, run the following command to install the MicrosoftTeams module:

    • Install-Module -Name MicrosoftTeams -RequiredVersion 2.3.2-preview -AllowPrerelease -AllowClobber

Need more help?

Expand your skills
Explore Training
Get new features first
Join Microsoft Insiders

Was this information helpful?

What affected your experience?

Thank you for your feedback!

×